import React from 'react'
import { connect } from 'dva'
import { Button, Row, Col, Form, Input, Select, Upload, Icon, Modal, Spin } from 'antd';
import config from "../../../config.js"
import storage from '../../../utils/storage'
import Edit from '../../Edit/Edit.js'
import EditComponent from '../../../baseComponents/EditComponent/index.js'
import { message } from "antd/lib/index";
import { guid } from '../../../utils/common.js';

class HMTasks extends EditComponent {
    constructor(props) {
        super(props);
        this.state = {
            data: {

            },
        };
    };

    onRenderHeadControl(params) {
        return super.onRenderHeadControl(params);
    }


    onRenderRowControl(params) {

        if (params.colConfig.field === 'Nav_ApproveUser.NAME' && !params.record.IS_ALLOW_UPDATE) {
            return <>
                <a>{params.record.Nav_ApproveUser?.NAME}</a>
            </>

        }
        return super.onRenderRowControl(params);
    }
}

export default connect(({ login, loading, EMemOrder, custom, app }) => ({ login, loading, EMemOrder, custom, app }))(Form.create()(HMTasks)) 